Package org.apache.sysds.parser

## Class ParameterExpression

- java.lang.Object
- - org.apache.sysds.parser.ParameterExpression

    public class ParameterExpression
    extends Object

### Constructor Summary

Constructors
`ParameterExpression​(String name, Expression val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getExpr()`
`String` `getName()`
`void` `setExpr​(Expression expr)`
`void` `setName​(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParameterExpression

    public ParameterExpression​(String name,
                               Expression val)

### Method Detail

#### getName

    public String getName()

#### getExpr

    public Expression getExpr()

#### setName

    public void setName​(String name)

#### setExpr

    public void setExpr​(Expression expr)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`